package cn.wisenergy.model.app;

import com.alibaba.excel.annotation.ExcelProperty;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
@ApiModel(value = "UserKnown")
@TableName("user_known")
public class UserKnown implements Serializable {
    private static final long serialVersionUID =1L;

    /***
     * 用户须知id
     */
    @ApiModelProperty(value = "用户须知id",name = "id")
    private Integer id;

    /***
     * 用户须知内容
     */
    @ApiModelProperty(value = "用户须知内容",name = "content")
    private String content;

    /***
     * 是否删除
     */
    @ApiModelProperty(value = "是否删除",name = "isDelete")
    private Integer isDelete;

    /***
     * 是否展示
     */
    @ApiModelProperty(value = "是否展示",name = "isShow")
    private Integer isShow;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", name = "createTime")
    @ExcelProperty(value = "创建时间")
    private Date createTime;

}
